package betir;

/**
*	This behavior make a player stay in the same spot and watch the ball if it is too far away
*/
public class StayPutBehavior extends RobocupBehavior
{
	public StayPutBehavior(RobocupEnvironment env, DatagramWrapper dg)
	{
		super(env, dg);
	}

	public boolean canFire()
	{
		return(m_Env.m_objBall != null && m_Env.m_objBall.getDistance() > 25);
	}

	public boolean inhibits(RobocupBehavior rb)
	{
		return (rb instanceof KiddySoccerBehavior);
	}

	public boolean fire()
	{
		turn(m_Env.m_objBall.getAngle());
		return false;
	}
}