package betir;

/**
*	This behavior randomly sends say messages that are either taunts or repeating
*	what they heard.
*/
public class TauntBehavior extends RobocupBehavior
{
	public TauntBehavior(RobocupEnvironment env, DatagramWrapper dg)
	{
		super(env, dg);
	}

	public boolean canFire()
	{
		return(Math.random() < 0.1);
	}

	public boolean inhibits(RobocupBehavior rb)
	{
		return false;
	}

	String m_strSavedMessage;
	public boolean fire()
	{
		switch((int)(Math.round(Math.random() * 5)))
		{
		case 1:
			if(m_Env.m_aYells.size() > 0)
				m_strSavedMessage = (String)(m_Env.m_aYells.get(0));
			break;
		case 2:
			say("oops_did_i_just_kick_your_ass?");
			break;
		case 3:
			if(m_Env.m_aobjEnemies.size() > 0)
			{
				String objName = ((PlayerInfo)(m_Env.m_aobjEnemies.get(0))).getName();
				if(objName.length() > 2)
				{
					if(objName.charAt(objName.length() - 1) == '"')
						objName = objName.substring(3, objName.length() - 1);
					else
						objName = objName.substring(3, objName.length() - 3);
					if(objName.charAt(objName.length() - 1) == '"')
						objName = objName.substring(0, objName.length() - 1);
					say("" + objName + "_sucks");
				}
			}
			break;
		case 4:
			say("Player_" + (int)(Math.random() * 11) + "_looks_tired");
			break;
		default:
			say(m_strSavedMessage);
			break;
		}
		return false;
	}
}
