package betir;

/**
*	This behavior returns the player to his zone.
*/
public class ReturnToZoneBehavior extends RobocupBehavior
{
	public ReturnToZoneBehavior(RobocupEnvironment env, DatagramWrapper dg)
	{
		super(env, dg);
	}

	private boolean m_bIsFiring = false;
	public boolean canFire()
	{
		if(m_Env.m_objBall != null)
			m_bIsFiring = false;

		if(m_bIsFiring)
			return true;

		if(getZoneDist() > 10)
		{
			if(m_Env.m_objBall != null && m_Env.m_objBall.getDistance() > 15)
			{
				m_bIsFiring = true;
				return true;
			}
		}
		return false;
	}


	public boolean inhibits(RobocupBehavior rb)
	{
		return (!(rb instanceof StartBehavior));
	}

	public boolean fire()
	{
		if(getZoneDist() < 3)
			m_bIsFiring = false;

		dashToPoint(m_Env.m_Player.m_vecZone.getX(), m_Env.m_Player.m_vecZone.getY());
		changeView("wide", "high");

		return false;
	}
}