package betir;

/**
*	This behavior moves the player to his start position
*/
public class StartBehavior extends RobocupBehavior
{
	public StartBehavior(RobocupEnvironment env, DatagramWrapper dg)
	{
		super(env, dg);
	}

	private boolean m_bFiredAlready = false;
	public boolean canFire()
	{
		if((m_Env.m_strPlayMode.charAt(0) == 'g' && m_Env.m_strPlayMode.charAt(5) != 'k' && m_Env.m_strPlayMode.charAt(7) != 'c')
				|| m_Env.m_strPlayMode.equals("before_kick_off"))
		{
			return true;
		}
		m_bFiredAlready = false;
		return false;
	}

	public boolean inhibits(RobocupBehavior rb)
	{
		return true;
	}

	public boolean fire()
	{
		if(!m_bFiredAlready)
		{
			if(m_Env.m_objSelf.getSide() == 'r')
				move(m_Env.m_Player.m_vecStart.getX(), m_Env.m_Player.m_vecStart.getY());
			else
				move(m_Env.m_Player.m_vecStart.getX(), -m_Env.m_Player.m_vecStart.getY());
			m_bFiredAlready = true;
		}

		if(m_Env.m_bHasBall)
			turn(angleToPoint(52, 0));
		else if(m_Env.m_objBall != null)
			turn(m_Env.m_objBall.getAngle());
		else
			turn(angleToPoint(0, 0));
		return false;
	}
}